# Webhook

Source: https://docs.gocardless.com/docs/api-reference/webhook

## List webhooks

`GET /webhooks`

Returns a [cursor-paginated](#api-usage-cursor-pagination) list of your webhooks.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get a single webhook

`GET /webhooks/{webhook_id}`

Retrieves the details of an existing webhook.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `webhook_id` | path | string | Yes | The webhook id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Retry a webhook

`POST /webhooks/{webhook_id}/actions/retry`

Requests for a previous webhook to be sent again

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `webhook_id` | path | string | Yes | The webhook id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Action completed successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
